aboutsummaryrefslogtreecommitdiff
path: root/t/t5505-remote.sh
diff options
context:
space:
mode:
authorBjörn Gustavsson <bgustavsson@gmail.com>2009-12-31 10:43:17 +0100
committerJunio C Hamano <gitster@pobox.com>2009-12-31 12:23:41 -0800
commit4f2e842dd0046a12bd82bb2b5aa066c686dc3f44 (patch)
tree599bdd05e261c2fc93fd02e918ddc0a0ae26cd5d /t/t5505-remote.sh
parent8db355964d89c19eb262ffe38e57e5a610e1cc05 (diff)
downloadgit-4f2e842dd0046a12bd82bb2b5aa066c686dc3f44.tar.gz
git-4f2e842dd0046a12bd82bb2b5aa066c686dc3f44.tar.xz
Fix "git remote update" with remotes.defalt set
Starting from commit 8db35596, "git remote update" (with no group name given) will fail with the following message if remotes.default has been set in the config file: fatal: 'default' does not appear to be a git repository fatal: The remote end hung up unexpectedly The problem is that the --multiple option is not passed to "git fetch" if no remote or group name is given on the command line. Fix the problem by always passing the --multiple option to "git fetch" (which actually simplifies the code). Reported-by: YONETANI Tomokazu Signed-off-by: Björn Gustavsson <bgustavsson@gmail.com> Signed-off-by: Junio C Hamano <gitster@pobox.com>
Diffstat (limited to 't/t5505-remote.sh')
-rwxr-xr-xt/t5505-remote.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/t/t5505-remote.sh b/t/t5505-remote.sh
index e931ce6c6..989f1d44a 100755
--- a/t/t5505-remote.sh
+++ b/t/t5505-remote.sh
@@ -419,6 +419,20 @@ test_expect_success 'update default (overridden, with funny whitespace)' '
'
+test_expect_success 'update (with remotes.default defined)' '
+
+ (cd one &&
+ for b in $(git branch -r)
+ do
+ git branch -r -d $b || break
+ done &&
+ git config remotes.default "drosophila" &&
+ git remote update &&
+ git branch -r > output &&
+ test_cmp expect output)
+
+'
+
test_expect_success '"remote show" does not show symbolic refs' '
git clone one three &&